Package jxl.format

# Class BorderLineStyle

java.lang.Object
jxl.format.BorderLineStyle

Direct Known Subclasses:
  `BorderLineStyle`

public class BorderLineStyle extends Object
The border line style

## Field Summary

Fields
Modifier and Type
Field
Description
`static final BorderLineStyle`
`DASH_DOT`
`static final BorderLineStyle`
`DASH_DOT_DOT`
`static final BorderLineStyle`
`DASHED`
`static final BorderLineStyle`
`DOTTED`
`static final BorderLineStyle`
`DOUBLE`
`static final BorderLineStyle`
`HAIR`
`static final BorderLineStyle`
`MEDIUM`
`static final BorderLineStyle`
`MEDIUM_DASH_DOT`
`static final BorderLineStyle`
`MEDIUM_DASH_DOT_DOT`
`static final BorderLineStyle`
`MEDIUM_DASHED`
`static final BorderLineStyle`
`NONE`
`static final BorderLineStyle`
`SLANTED_DASH_DOT`
`static final BorderLineStyle`
`THICK`
`static final BorderLineStyle`
`THIN`

## Method Summary

Modifier and Type
Method
Description
`String`
`getDescription()`
Gets the textual description
`static BorderLineStyle`
`getStyle(int val)`
Gets the alignment from the value
`int`
`getValue()`
Gets the value for this line style

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### NONE

public static final BorderLineStyle NONE

### THIN

public static final BorderLineStyle THIN

### MEDIUM

public static final BorderLineStyle MEDIUM

### DASHED

public static final BorderLineStyle DASHED

### DOTTED

public static final BorderLineStyle DOTTED

### THICK

public static final BorderLineStyle THICK

### DOUBLE

public static final BorderLineStyle DOUBLE

### HAIR

public static final BorderLineStyle HAIR

### MEDIUM_DASHED

public static final BorderLineStyle MEDIUM_DASHED

### DASH_DOT

public static final BorderLineStyle DASH_DOT

### MEDIUM_DASH_DOT

public static final BorderLineStyle MEDIUM_DASH_DOT

### DASH_DOT_DOT

public static final BorderLineStyle DASH_DOT_DOT

### MEDIUM_DASH_DOT_DOT

public static final BorderLineStyle MEDIUM_DASH_DOT_DOT

### SLANTED_DASH_DOT

public static final BorderLineStyle SLANTED_DASH_DOT

## Method Details

### getValue

public int getValue()
Gets the value for this line style

Returns:
  the value

### getDescription

public String getDescription()
Gets the textual description

### getStyle

public static BorderLineStyle getStyle(int val)
Gets the alignment from the value

Parameters:
  `val` -
Returns:
  the alignment with that value